"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * The Validator error.
 *
 * @export
 * @class ValidatorError
 * @extends {Error}
 */
var ValidatorError = /** @class */ (function (_super) {
    __extends(ValidatorError, _super);
    // #region Constructors (1)
    /**
     * Creates an instance of ValidatorError.
     * @param {string} errorMessage
     */
    function ValidatorError(errorMessage, validatorDecoratorType, validatorSourceType, propertyName, innerError) {
        var _this = _super.call(this, errorMessage) || this;
        _this.validatorDecoratorType = validatorDecoratorType;
        _this.validatorSourceType = validatorSourceType;
        _this.propertyName = propertyName;
        _this.innerError = innerError;
        Object.setPrototypeOf(_this, ValidatorError.prototype);
        return _this;
    }
    return ValidatorError;
}(Error));
exports.ValidatorError = ValidatorError;
//# sourceMappingURL=validator-error.js.map