import { Validator } from "./validators/validator";
/**
     * Gets the validation decorator.
     *
     * @static
     * @param {Validator} validator - The validator instance.
     * @returns - The validation decorator instance.
     */
export declare function getValidationDecorator(validator: Validator): (target: Object, propertyKey: string) => void;
