/**
 * The Validator error.
 *
 * @export
 * @class ValidatorError
 * @extends {Error}
 */
export declare class ValidatorError extends Error {
    validatorDecoratorType: string;
    validatorSourceType: string;
    propertyName: string;
    innerError: Error;
    /**
     * Creates an instance of ValidatorError.
     * @param {string} errorMessage
     */
    constructor(errorMessage: string, validatorDecoratorType: string, validatorSourceType: string, propertyName: string, innerError: Error);
}
